package com.zxhl.cms.net.model.news;

import java.io.Serializable;
import java.util.List;

/**
 * Copyright @ 2018 Bitgoose All rights reserved.
 *
 * @class name: LocalNewsHeadConfig
 * @class describe: 本地头条顶部配置
 * @author: fuxin
 * @date: 2018/12/13 上午11:28
 */
public class LocalNewsHeadConfig implements Serializable {

    private Healthy healthy;//健康配置
    private List<HeadConfigMenu> menuConfigList;//菜单配置

    public Healthy getHealthy() {
        return healthy;
    }

    public void setHealthy(Healthy healthy) {
        this.healthy = healthy;
    }

    public List<HeadConfigMenu> getMenuConfigList() {
        return menuConfigList;
    }

    public void setMenuConfigList(List<HeadConfigMenu> menuConfigList) {
        this.menuConfigList = menuConfigList;
    }

    public static class Healthy implements Serializable{
        private String todayStepNumber;//今日步数
        private String bigCard;//大卡
        private String surplusStepNumber;//剩余步数
        private String kilometreNumber;//公里数

        public String getTodayStepNumber() {
            return todayStepNumber;
        }

        public void setTodayStepNumber(String todayStepNumber) {
            this.todayStepNumber = todayStepNumber;
        }

        public String getBigCard() {
            return bigCard;
        }

        public void setBigCard(String bigCard) {
            this.bigCard = bigCard;
        }

        public String getSurplusStepNumber() {
            return surplusStepNumber;
        }

        public void setSurplusStepNumber(String surplusStepNumber) {
            this.surplusStepNumber = surplusStepNumber;
        }

        public String getKilometreNumber() {
            return kilometreNumber;
        }

        public void setKilometreNumber(String kilometreNumber) {
            this.kilometreNumber = kilometreNumber;
        }
    }

    public static class HeadConfigMenu implements Serializable{
        private int resourcesId;
        private String name;
        private String icon;

        public HeadConfigMenu() {
        }

        public HeadConfigMenu(int resourcesId, String name, String icon) {
            this.resourcesId = resourcesId;
            this.name = name;
            this.icon = icon;
        }

        public int getResourcesId() {
            return resourcesId;
        }

        public void setResourcesId(int resourcesId) {
            this.resourcesId = resourcesId;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getIcon() {
            return icon;
        }

        public void setIcon(String icon) {
            this.icon = icon;
        }
    }


}
